
%global meadversion 1.1.1
%global namedversion 1.1.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package log4j2-jboss-logmanager}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.1.Final-redhat-00001

Name:             %{?scl_prefix}log4j2-jboss-logmanager
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          JBoss Log4j Emulation 
Group:            Development/Libraries

%if %with mead
Source100: log4j2-jboss-logmanager-1.1.1.Final-redhat-00001-project-sources.tar.gz
Source102: log4j2-jboss-logmanager-1.1.1.Final-redhat-00001-sources.jar
Source103: log4j2-jboss-logmanager-1.1.1.Final-redhat-00001.pom
Source104: log4j2-jboss-logmanager-1.1.1.Final-redhat-00001-javadoc.jar
Source105: log4j2-jboss-logmanager-1.1.1.Final-redhat-00001.jar
%endif

License:          ASL 2.0
URL:              https://github.com/jboss-logging/log4j2-jboss-logmanager

BuildArch:        noarch
BuildRoot:      %{_tmppath}/log4j2-jboss-logmanager-%{version}-%{release}-buildroot


%description
JBoss Log4j Emulation 

%if %with javadoc
%package javadoc
Summary:        Javadoc for log4j2-jboss-logmanager
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n log4j2-jboss-logmanager-%{namedversion} -T -b 100
                                                                                                     
%build
                                                                                                     
%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/log4j2-jboss-logmanager-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/log4j2-jboss-logmanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%if %with javadoc
%{__cp} -p %{_sourcedir}/log4j2-jboss-logmanager-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/log4j2-jboss-logmanager-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/log4j2-jboss-logmanager-%{namedversion}
%{__unzip} -qq %{_sourcedir}/log4j2-jboss-logmanager-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/log4j2-jboss-logmanager-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/log4j2-jboss-logmanager-%{namedversion}/META-INF
%{__ln_s} log4j2-jboss-logmanager-%{namedversion} %{buildroot}%{_javadocdir}/log4j2-jboss-logmanager
%endif

%clean
%{__rm} -rf %{buildroot}
                                                                                                     
%files -n %{?scl_prefix}log4j2-jboss-logmanager
%defattr(0644,root,root,0755)
%{_javadir}/log4j2-jboss-logmanager-%{namedversion}.jar
%{_javadir}/log4j2-jboss-logmanager.jar
%{_javadir}/log4j2-jboss-logmanager-%{namedversion}-sources.jar
%{_javadir}/log4j2-jboss-logmanager-sources.jar
%if %with javadoc
%{_javadir}/log4j2-jboss-logmanager-%{namedversion}-javadoc.jar
%{_javadir}/log4j2-jboss-logmanager-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/log4j2-jboss-logmanager-%{namedversion}
%{_javadocdir}/log4j2-jboss-logmanager
%endif

%changelog
* Tue May 31 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.1.1-1.Final_redhat_00001.1
Built by CPaaS



* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-1.Final_redhat_00001.1
Built by CPaaS



* Mon Jan 11 2021 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_00001.1
- 1.0.0.Final-redhat-00001


* Mon Jan 11 2021 Yong Yang <yyang@redhat.com> - 1.1.0-1.Final_redhat_1.1
- First build
